Bug 1664621 - cockpit webui freezes when taking backup of an instance without suffix
Summary: cockpit webui freezes when taking backup of an instance without suffix
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Directory Server
Classification: Red Hat
Component: cockpit-389-ds
Version: 8.0
Hardware: x86_64
OS: All
unspecified
medium
Target Milestone: DS11.0
: ---
Assignee: mreynolds
QA Contact: RHDS QE
URL:
Whiteboard: sync-to-jira
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-09 10:20 UTC by Amita Sharma
Modified: 2019-09-26 19:35 UTC (History)
11 users (show)

Fixed In Version: 389-ds-base-1.4.1.6-2.module+el8dsrv+3912+aa2ce078.x86_64
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
Screen_shot (142.60 KB, image/png)
2019-01-09 10:20 UTC, Amita Sharma
no flags Details

Description Amita Sharma 2019-01-09 10:20:26 UTC
Created attachment 1519425 [details]
Screen_shot

Description of problem:
cockpit webui freezes when taking backup of an instance without suffix

Version-Release number of selected component (if applicable):
389-ds-base-1.4.0.20-4.module+el8+2624+8b7e87b9.x86_64
389-ds-base-snmp-1.4.0.20-4.module+el8+2624+8b7e87b9.x86_64
389-ds-base-libs-1.4.0.20-4.module+el8+2624+8b7e87b9.x86_64
cockpit-389-ds-1.4.0.20-4.module+el8+2+a9256f9c.noarch
python3-lib389-1.4.0.20-4.module+el8+2624+8b7e87b9.noarch
389-ds-base-legacy-tools-1.4.0.20-4.module+el8+2624+8b7e87b9.x86_64

How reproducible:
Always

Steps to Reproduce:
Create an instance without suffix
Try to take backup of this instance

Actual results:
The screen freezes and no error message given

Expected results:
It should give an error message saying no suffix exists 

Additional info:
Please check screen shot where the screen halt

Comment 1 mreynolds 2019-03-25 15:28:54 UTC
https://pagure.io/389-ds-base/issue/50289

Comment 3 Viktor Ashirov 2019-09-03 09:10:57 UTC
Build tested: 389-ds-base-1.4.1.6-2.module+el8dsrv+3912+aa2ce078.x86_64

When making a backup on a server without suffix, the error is displayed:

Failure backing up server - Server is unwilling to perform

Marking as VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.